image: debian

before_script:
- apt-get update -y
- apt-get install -y locales openjdk-11-jre python3-pip
- sed -i 's/# \(es_ES.UTF-8 UTF-8\)/\1/' /etc/locale.gen
- sed -i 's/# \(en_US.UTF-8 UTF-8\)/\1/' /etc/locale.gen
- sed -i 's/# \(eo.UTF-8 UTF-8\)/\1/' /etc/locale.gen
- sed -i 's/# \(fr_FR.UTF-8 UTF-8\)/\1/' /etc/locale.gen
- dpkg-reconfigure --frontend=noninteractive locales
- pip3 install babel beautifulsoup4 html5validator markdown pelican css-html-js-minify
- export LANG=es_ES.UTF-8 LANGUAGE=es_ES

test:
  script:
    - (cd libretube-theme/ && make compile)
    - cp -v Makefile.example Makefile
    - make validate
